freebsd-ports/dns/curvedns/files/pkg-install.in
Martin Wilke 8b8ffc6b8b CurveDNS is a forwarding nameserver adding DNSCurve to DNS,
and it's the first publicly released forwarding implementation
that implements the DNSCurve protocol.

WWW:    http://curvedns.on2it.net/

PR:		ports/153881
Submitted by:	Leo Vandewoestijne <freebsd at dns-lab.com>
2011-03-04 13:45:40 +00:00

25 lines
545 B
Bash

#!/bin/sh
# $FreeBSD$
if ! pw groupshow %%CURVE_GROUP%% 2>/dev/null 1>&2; then
if pw groupadd %%CURVE_GROUP%% -g %%CURVE_GID%%; then
echo "Added group %%CURVE_GROUP%%"
else
echo "Adding group %%CURVE_GROUP%% failed..."
exit 1
fi
fi
if ! pw usershow %%CURVE_USER%% 2>/dev/null 1>&2; then
if pw useradd %%CURVE_USER%% -u %%CURVE_UID%% -g %%CURVE_GROUP%% -h - \
-s "/usr/sbin/nologin" -d "/" \
-c "Bind Sandbox"; \
then
echo "Added user %%CURVE_USER%%"
else
echo "Adding user %%CURVE_USER%% failed..."
exit 1
fi
fi
exit 0